Bug 1475515 - CVE-2017-11626 qpdf: Infinite loop in QPDFTokenizer::resolveLiteral function in QPDFTokenizer.cc [epel-6]
CVE-2017-11626 qpdf: Infinite loop in QPDFTokenizer::resolveLiteral function ...
Status: ON_QA
Product: Fedora EPEL
Classification: Fedora
Component: qpdf (Show other bugs)
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Zdenek Dohnal
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2017-11626
  Show dependency treegraph
Reported: 2017-07-26 16:01 EDT by Pedro Sampaio
Modified: 2017-08-03 17:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pedro Sampaio 2017-07-26 16:01:09 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of epel-6.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.
Comment 1 Pedro Sampaio 2017-07-26 16:01:15 EDT
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.


# bugfix, security, enhancement, newpackage (required)

# testing, stable

# Bug numbers: 1234,9876

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds

# Automatically close bugs when this marked as stable

# Suggest that users restart after update


Additionally, you may opt to use the bodhi web interface to submit updates:

Comment 2 Zdenek Dohnal 2017-08-01 10:11:44 EDT
Patches are actually for CVE-2017-9208, CVE-2017-9209 and CVE-2017-9210, but they solve this CVE too. Bodhi update will be referencing all CVEs.
Comment 3 Fedora Update System 2017-08-03 05:40:05 EDT
qpdf-5.1.1-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-cbc54495c7
Comment 4 Fedora Update System 2017-08-03 17:18:15 EDT
qpdf-5.1.1-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-cbc54495c7

Note You need to log in before you can comment on or make changes to this bug.